classification
Title: Python 2.5 gets curses.h warning on HPUX
Type: behavior Stage: resolved
Components: Build Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: akuchling Nosy List: ajaksu2, akuchling, roysmith
Priority: low Keywords:

Created on 2007-01-23 00:27 by roysmith, last changed 2009-04-25 21:39 by ajaksu2. This issue is now closed.

Files
File name Uploaded Description Edit
build-log.txt roysmith, 2007-01-23 00:27 log from "./configure" on HPUX
Messages (4)
msg31073 - (view) Author: Roy Smith (roysmith) Date: 2007-01-23 00:27
I downloaded http://www.python.org/ftp/python/2.5/Python-2.5.tgz and tried to build it on "HP-UX glade B.11.11 U 9000/800 unknown".  When I ran "./configure", I got warnings that "curses.h: present but cannot be compiled".  See attached log file.

msg31074 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2007-01-24 20:20
You'll have to help us some more.  This is apparently happening because HP-UX's curses.h file needs some other header file to be included first; not having an HP-UX machine, I have no way to figure out which other header file is needed.  Could you please try to figure out which file is necessary?


msg31075 - (view) Author: Roy Smith (roysmith) Date: 2007-01-24 21:54
OK, looking a bit deeper, the actual error in config.log is:

configure:4739: result: no
configure:4774: checking for conio.h
configure:4781: result: no
configure:4658: checking curses.h usability
configure:4670: gcc -c -g -O2  conftest.c >&5
In file included from conftest.c:54:
/opt/gnu/lib/gcc-lib/hppa2.0w-hp-hpux11.11/3.2.3/include/curses.h:755: syntax error before "va_list"
/opt/gnu/lib/gcc-lib/hppa2.0w-hp-hpux11.11/3.2.3/include/curses.h:756: syntax error before "va_list"
/opt/gnu/lib/gcc-lib/hppa2.0w-hp-hpux11.11/3.2.3/include/curses.h:757: syntax error before "va_list"
/opt/gnu/lib/gcc-lib/hppa2.0w-hp-hpux11.11/3.2.3/include/curses.h:758: syntax error before "va_list"

Adding "#include <varargs.h>" appears to solve the problem.

I'm pretty weak (major understatement) on building configure scripts, but if you create a new one with varargs.h, I'll be happy to test it on my box for you.


msg84616 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-03-30 19:04
Roy: still an issue for you? I'll close this if not.
History
Date User Action Args
2009-04-25 21:39:24ajaksu2setstatus: pending -> closed
resolution: rejected
stage: test needed -> resolved
2009-03-30 19:04:48ajaksu2setstatus: open -> pending
priority: normal -> low
type: behavior

versions: + Python 2.6
nosy: + ajaksu2

messages: + msg84616
stage: test needed
2008-01-09 14:27:50akuchlingsetassignee: akuchling
2007-01-23 00:27:51roysmithcreate